=== debian/changelog ===
smapi (2.1.0-5) unstable; urgency=low

  * Package (hopefully) gets into Debian. Filed a bug against wnpp and
    asked my sponsor to check the package. If he uploads it, it
    will close the bug, Closes: #104534
  * Newest cvs checkout.
  * Path for Config-Files now /etc/husky. Old /etc/fido is for Fidogate
    so we cant take it.

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Wed,  8 Aug 2001 21:10:08 +0200

smapi (2.1.0-4) unstable; urgency=low

  * Very small change.
  
 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Fri, 13 Jul 2001 14:09:25 +0200

smapi (2.1.0-3) unstable; urgency=low

  * Changed control to get Section to non-free/*

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Mon,  9 Jul 2001 22:38:42 +0200

smapi (2.1.0-2) unstable; urgency=low

  * Changed shlibs file.

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Mon,  2 Jul 2001 22:35:07 +0200

smapi (2.1.0-1) unstable; urgency=low

  * Initial Release.
  * Changed Package from Single Binary to library Package.

 -- Joerg Jaspert (JJ) <joerg@goliathbbs.dnsalias.net>  Sun,  1 Jul 2001 17:37:41 +0200

Local variables:
mode: debian-changelog
End:
